/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* Copyright (C) 2006-2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Naba Kumar <naba.kumar@nokia.com>
 */

#ifndef RTCOM_CELL_RENDERER_H_
#define RTCOM_CELL_RENDERER_H_

/* GLIB and GTK */
#include <glib.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

/* GObject type definition macros */
#define RTCOM_TYPE_CELL_RENDERER            (rtcom_cell_renderer_get_type())
#define RTCOM_CELL_RENDERER(obj)            (G_TYPE_CHECK_INSTANCE_CAST( \
                                                 (obj),                 \
                                                 RTCOM_TYPE_CELL_RENDERER, \
                                                 RtcomCellRenderer))
#define RTCOM_CELL_RENDERER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST(   \
                                                 (klass),               \
                                                 RTCOM_TYPE_CELL_RENDERER, \
                                                 RtcomCellRendererClass))
#define IS_RTCOM_CELL_RENDERER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE( \
                                                 (obj),                 \
                                                 RTCOM_TYPE_CELL_RENDERER))
#define IS_RTCOM_CELL_RENDERER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE(   \
                                                 (klass),               \
                                                 RTCOM_TYPE_CELL_RENDERER))
#define RTCOM_CELL_RENDERER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS( \
                                                 (obj),                 \
                                                 RTCOM_TYPE_CELL_RENDERER, \
                                                 RtcomCellRendererClass))

/*
 * The actual "class" definitions
 */
typedef struct _RtcomCellRenderer      RtcomCellRenderer;
typedef struct _RtcomCellRendererClass RtcomCellRendererClass;

/*
 * Private data type
 */
struct _RtcomCellRenderer {
    GtkCellRenderer parent;
};

/*
 * Public data type
 */
struct _RtcomCellRendererClass {
    GtkCellRendererClass parent_class;
};

GType      rtcom_cell_renderer_get_type (void);

/************************************************************
 * Public functions
 ************************************************************/

GtkCellRenderer *
rtcom_cell_renderer_new (void);

G_END_DECLS

#endif /* RTCOM_CELL_RENDERER_H_ */
