/* -*- Mode: C; indent-tabs-mode: nil; c-basic-offset: 4 -*- */

/* Copyright (C) 2006-2007 Nokia Corporation. All rights reserved.
 *
 * Contact: Naba Kumar <naba.kumar@nokia.com>
 */

#ifndef RTCOM_IDLE_VIEW_H_
#define RTCOM_IDLE_VIEW_H_

#include <glib-object.h>
#include <gtk/gtkhbox.h>
#include <gtk/gtktreeview.h>
#include <libosso-abook/osso-abook-contact-model.h>
#include <libosso-abook/osso-abook-account.h>
#include <libosso-abook/osso-abook-avatar-view.h>
#include <libosso-abook/osso-abook-search-entry.h>
#include <libosso-abook/osso-abook-manual-group.h>
#include <libmissioncontrol/mc-account.h>

G_BEGIN_DECLS

#define RTCOM_TYPE_IDLE_VIEW            (rtcom_idle_view_get_type ())
#define RTCOM_IDLE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                         RTCOM_TYPE_IDLE_VIEW, RtcomIdleView))
#define RTCOM_IDLE_VIEW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                         RTCOM_TYPE_IDLE_VIEW, RtcomIdleViewClass))
#define RTCOM_IS_IDLE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                         RTCOM_TYPE_IDLE_VIEW))
#define RTCOM_IS_IDLE_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                         RTCOM_TYPE_IDLE_VIEW))
#define RTCOM_IDLE_VIEW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                         RTCOM_TYPE_IDLE_VIEW, RtcomIdleViewClass))

typedef struct _RtcomIdleView      RtcomIdleView;
typedef struct _RtcomIdleViewClass RtcomIdleViewClass;

struct _RtcomIdleView
{
    GtkHBox       parent;
};

struct _RtcomIdleViewClass
{
    GtkHBoxClass parent_class;
};

GType      rtcom_idle_view_get_type             (void);
GtkWidget *rtcom_idle_view_new                  (OssoABookContactModel *model,
                                                 OssoABookAccountTypeFlags flags,
                                                 GtkWidget *button_widget);
/* -- Public API -- */
void         rtcom_idle_view_set_preview_widget   (RtcomIdleView *view, GtkWidget *widget);
void         rtcom_idle_view_set_preview_enabled  (RtcomIdleView *view, gboolean enabled);
void         rtcom_idle_view_set_icon             (RtcomIdleView *view, const gchar *icon_name, guint pixel_size);
void         rtcom_idle_view_set_icon_from_pixbuf (RtcomIdleView *view, GdkPixbuf *icon);
void         rtcom_idle_view_set_low_mem_ind      (RtcomIdleView *view, gboolean low_mem);
void         rtcom_idle_view_set_secondary_button (RtcomIdleView *view, GtkWidget *button);
OssoABookAvatarView *rtcom_idle_view_get_avatar_view (RtcomIdleView *view);
OssoABookSearchEntry *rtcom_idle_view_get_search_entry (RtcomIdleView *view);

G_END_DECLS

#endif /* RTCOM_IDLE_VIEW_H_ */
